use ansi_term::ANSIGenericString;
use ansi_term::Colour::RGB;
use std::env::var; // For environment variables

pub const USER_SYMBOL: &str = "\u{276F}"; // User indicator symbol: "❯"
pub const ROOT_COL: ansi_term::Colour = RGB(255, 53, 94); // If the user is root
pub const NORMIE_COL: ansi_term::Colour = RGB(0, 255, 180); // Regular user
const ROOT_USER: &str = "root"; // Root username constant

/// Username of current user
pub fn username() -> String {
    var("USER").unwrap_or_else(|_| "UnknownUser".to_string())
}

/// Root user indicator
pub fn indicator() -> ANSIGenericString<'static, str> {
    let user = username();
    if user == ROOT_USER {
        ROOT_COL.paint(USER_SYMBOL)
    } else {
        NORMIE_COL.paint(USER_SYMBOL)
    }
}
